Bug 1288251 - [GSS](6.4.z) JBEAP-2148 - Dependency for javassist not resolved for native Hibernate applications
[GSS](6.4.z) JBEAP-2148 - Dependency for javassist not resolved for native Hi...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: Stephen Fikes
Pavel Slavicek
eap-docs
https://github.com/jbossas/jboss-eap/...
:
Depends On:
Blocks: 1235746
  Show dependency treegraph
 
Reported: 2015-12-03 18:37 EST by Stephen Fikes
Modified: 2017-01-17 06:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:43:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2148 Major Pull Request Sent [GSS](7.0.z) Dependency for javassist not resolved for native Hibernate applications 2017-03-28 09:43 EDT
Red Hat Knowledge Base (Solution) 2072383 None None None 2016-01-21 18:53 EST

  None (edit)
Description Stephen Fikes 2015-12-03 18:37:14 EST
Description of problem:
Native Hibernate applications require explicit dependency on a private module (org.javassist) which is not meant to be explicitly referenced.

Version-Release number of selected component (if applicable):


How reproducible:
See JBEAP-214

Steps to Reproduce:
See JBEAP-214

Actual results:
Either the application deployment raises an exception (if the dependency is not explicitly provided) or else it raises a warning about the inclusion of a dependency on a private module.

Expected results:
It should be possible to deploy native Hibernate applications without explicit reference to javassist.

Additional info:
Comment 1 Stephen Fikes 2015-12-03 18:40:33 EST
The Steps to Reproduce should reference JBEAP-2148
Comment 5 Peter Mackay 2016-01-21 12:41:23 EST
Verified with EAP 6.4.6.CP.CR2
Comment 6 Petr Penicka 2017-01-17 06:43:53 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.